package org.openscm.kundo.plugins

/*
 * Copyright (C) 2008 The Ultimate People Company Ltd ("UPCO").
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

 /**
  * Module
  * @author <a href="mailto:nigel.garner@upco.co.uk">Nigel Garner</a>
  * @version 1.0.0
  * 
  * Description: Bean representation of the sub-modules to be processed as part of the build. 
  * 
  * <p>The Module is a simple bean is a bean representation of the sub-module to be built.</p>
  */
public class Module{

	/** Name of the module. **/
	private String name
	/** Module build file including directory. **/
	private String buildFile
	/** Module build directory. **/
	private String dir
	/** Ant target to be executed. **/
	private String target
	/** Whether the module build should inherit from the parent. **/
	private String inheritConfiguration
	
}
